
ChiliProject - Bug # 443: IssuesControllerTest.test_show_atom test failure on 1.9.2

Status: Closed Priority: Normal
Author: Eric Davis Category: Testing
Created: 2011-06-03 Assignee: Eric Davis
Updated: 2011-06-03 Due date:
Remote issue URL:
Affected version: unstable
Description: I can't reproduce this failure locally, can anyone else or could this be a CI issue?

<pre>
undefined method `name' for nil:NilClass (ActionView::TemplateError)
On line #23 of app/views/journals/index.rxml

    20:       xml.content "type" => "html" do
    21:         xml.text! '<ul>'
    22:         change.details.each do |detail|
    23:           xml.text! '<li>' + change.render_detail(detail, false) + '</li>'
    24:         end
    25:         xml.text! '</ul>'
    26:         xml.text! textilizable(change, :notes, :only_path => false) unless change.notes.blank?

    app/views/journals/index.rxml:23:in `block (5 levels) in _run_rxml_app47views47journals47index46rxml'
    app/views/journals/index.rxml:22:in `each'
    app/views/journals/index.rxml:22:in `block (4 levels) in _run_rxml_app47views47journals47index46rxml'
    app/views/journals/index.rxml:20:in `block (3 levels) in _run_rxml_app47views47journals47index46rxml'
    app/views/journals/index.rxml:11:in `block (2 levels) in _run_rxml_app47views47journals47index46rxml'
    app/views/journals/index.rxml:9:in `each'
    app/views/journals/index.rxml:9:in `block in _run_rxml_app47views47journals47index46rxml'
    app/views/journals/index.rxml:2:in `_run_rxml_app47views47journals47index46rxml'
    app/controllers/issues_controller.rb:106:in `block (2 levels) in show'
    app/controllers/issues_controller.rb:103:in `show'
    test/functional/issues_controller_test.rb:329:in `test_show_atom'
</pre>

http://ci.chiliproject.org/job/chiliproject_unstable/DATABASE=mysql,RUBY=ruby-1.9.2-p180/lastCompletedBu
ild/testReport/(root)/IssuesControllerTest/test_show_atom/

Associated revisions
2010-03-13 03:56 pm - Jean-Philippe Lang 
Adds subtasking (#443) including:
* priority, start/due dates, progress, estimate, spent time roll-up to parent issues
* descendant issues tree displayed on the issue view with context menu support
* issue tree display on the gantt chart
* issue tree copy on project copy
* unlimited nesting

Defining subtasks requires the new permission 'Manage subtasks'.
Subtasks can not belong to a different project than the parent task.

Implementation is based on scoped nested sets for fast reads and updates.
git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@3573 e93f8b46-1217-0410-a6f0-8f06a7374b81

2010-09-05 03:01 pm - Azamat Hackimov 
Added string "cant_link_an_issue_with_a_descendant" to translations missed in #443
Solves #6278

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4061 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-06-03 06:55 pm - Eric Davis
[#443] Fix failing tests on 1.9.2 due to an invalid fixture

History
2011-06-03 04:22 pm - Eric Davis
Same with this one: 
http://ci.chiliproject.org/job/chiliproject_unstable/DATABASE=mysql,RUBY=ruby-1.9.2-p180/lastCompletedBuild/testReport/(root)/JournalsControllerTes
t/test_index/

2011-06-03 04:46 pm - Eric Davis
- Assignee set to Eric Davis

Nevermind, my rvm got set back to 1.8 on that shell. Debugging now.

2011-06-03 04:58 pm - Eric Davis
- Target version set to 2.0.0

- Status changed from Open to Closed

Fixed in commit:7eb98db. The problem was that a Journal fixture had @custom_values_2@ in it's changes which acts_as_journalized converted to 
@CustomField.find_by_id("_2")@. Surprised that 1) we aren't checking for nil in aaj and 2) that the test passes on 1.8.
